/********************************/
/* Page layout                  */
/********************************/

body {
    margin: 0;
}

/* page layout for tablet or small desktop */
@media screen and (max-width: 1024px) {
    .decafEditorContainer {
        display: table;
        margin: 0 auto 0 auto;
        padding: 20px;
        width: 680px;
    }

    .decafEditorContainer > .editorWrapper {
        margin-top: 10px;
    }
}

/* page layout for desktop */
@media screen and (min-width: 1025px) {
    .decafEditorContainer {
        margin: 30px 0 0 0;
        z-index: 0;
    }

    .decafEditorContainer > .appWrapper {
        float: left;
        margin-left: 1.4%;
        margin-right: 1.4%;
        width: 47%;
        z-index: 1;
    }

    .decafEditorContainer > .editorWrapper {
        float: left;
        margin-left: 1.4%;
        margin-right: 1.4%;
        width: 47%;
        z-index: 2;
    }
}

.appHeaderRow {
    display: block;
    margin: 10px 0 0 20px;
}

.appHeaderRow:first-child {
    margin: 0 0 20px 20px;
}

.docTitle {
    margin: 0;
    padding: 0;
    display: inline;
    font: bold 30px Helvetica, sans-serif;
}

.catalogueLink {
    margin-left: 50px;
    display: inline;
    font-family: Helvetica, sans-serif;
}

#container {
    margin-top: 10px;
}

#appDropdown {
    margin: 0;
    min-width: 200px;
}

#revertButton {
    margin: 0;
    width: 60px;
}

/********************************/
/* Editor tabs                  */
/********************************/

.editorHorizontalTabs {
    position: relative;
    height: 35px;
}

.editorHorizontalTabs .editorTab {
    position: absolute;
    z-index: 1;
    width: 100px;
    height: 34px;
    line-height: 35px;
    cursor: pointer;
    border-radius: 5px 5px 0 0;
    border: 1px solid darkgrey;
    background-color: #f4f5f6;
    color: #202020;
    font-family: Helvetica, sans-serif;
    text-align: center;
}

.editorHorizontalTabs .editorTab.selected {
    font-weight: bold;
    color: #000000;
    border-bottom-color: #ffffff;
    background-color: #ffffff;
}

#textTab {
    left: 108px;
}

/********************************/
/* Button bar                   */
/********************************/

.buttonBar {
    padding: 10px 0;
    font-size: 0;
}

.buttonBar .buttonBarItem {
    display: inline-block;
    vertical-align: middle;
    font-size: 16px;
}

.button {
    height: 30px;
    line-height: 30px;
    cursor: pointer;
    background-color: #ddddff;
    border-radius: 6px;
    text-align: center;
    font-family: Helvetica, sans-serif;
}

.button:hover {
    background-color: #eeeeff;
}

#applyButton {
    margin-left: 10px;
    width: 100px;
}

#loadFileButton {
    margin-left: 10px;
    width: 100px;
}

#saveFileButton {
    margin-left: 10px;
    width: 100px;
}

/********************************/
/* Errors                       */
/********************************/

#errorWrapper {
    position: relative;
    margin-left: 10px;
    cursor: pointer;
    z-index: 9999999;
}
#errorWrapper.hidden {
    display: none;
}

#errorWrapper .errorIndicatorWrapper {
    padding: 5px 0;
    height: 20px;
    border-radius: 6px;
    position: relative;
    z-index: 2;
}

#errorWrapper .errorIcon {
    width: 18px;
    height: 18px;
    background: url("../icons/error_icon.png") no-repeat 0 0;
    display: inline-block;
    vertical-align: middle;
}

#errorWrapper .errorCount {
    padding-left: 3px;
    font: 16px Helvetica, sans-serif;
    color: #ff0000;
    display: inline-block;
    vertical-align: middle;
    z-index: 2;
}

#errorWrapper .errorMessagesWrapper {
    margin: 0;
    border: 1px solid #ff0000;
    width: 358px;
    padding: 30px 0 0 30px;
    background-color: #ffffff;
    box-shadow: 3px 3px 10px 0 #999999;
    position: absolute;
    top: -2px;
    right: -10px;
    z-index: 1;
}
#errorWrapper .errorMessagesWrapper.hidden {
    display: none;
}

#errorWrapper .errorMessage {
    margin: 10px 10px 10px 0;
    padding: 0;
    font: 14px Helvetica, sans-serif;
}

#errorWrapper .errorMessage:first-child {
    margin-top: 0;
}

/********************************/
/* Input Wrapper                */
/********************************/

.inputWrapper {
    position: relative;
    border: 1px solid darkgrey;
    background-color: #ffffff;
}

.inputWrapper .jsonViewContainer {
    padding: 0 0 10px 10px;
    background-color: #f4f5f6;
    font-family: Arial, sans-serif;
    font-size: 14px;
    line-height: 20px;
    overflow-y: scroll;
    height: 490px;
}

/********************************/
/* Ancillary classes            */
/********************************/

.clearfix:after {
    content: "";
    display: table;
    clear: both;
}

.noSelect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.hidden {
    display: none;
}
